<template>
	<view>
		<u-navbar title="顺序答题" @rightClick="rightClick" :autoBack="true">
		</u-navbar>
		<Question :tabsList="tabsList" />
	</view>
</template>

<script>
	import {
		mapState,
		mapActions
	} from 'pinia' //引入映射函数
	import useQuestionStore from '@/jtools/store/question' //引入store
	import Question from './components/Question.vue';
	export default {
		components: {
			Question
		},
		data() {
			return {
				tabsList:[{
					label:"答题",
					value:0
				},{
					label:"背题",
					value:1
				}]
			}
		},
		onLoad() {
			console.log(this.orderQuestionList);
		},
		computed: {
			...mapState(useQuestionStore, ["orderQuestionList"]) //映射函数，取出tagslist
		},
		methods: {
			rightClick() {
				console.log('返回');
			}
		}
	}
</script>

<style>

</style>
